package com.usoftchina.bi.server.model.po;

import java.util.Date;

/*
看板
 */
public class Dashboards {
    private int id;
    private String bdName;
    private String bdNote;
    private String bdConfiguration;
    private String thumbnail;
    private String createBy;
    private int createId;
    private String relationColumns;
    private String createDate;
    private String updateDate;
    private Date reDate;
    private String filters;
    private String chartIds;
    private String bdCode;
    private boolean demo;
    private int menuId;

    public int getMenuId() {
        return menuId;
    }

    public void setMenuId(int menuId) {
        this.menuId = menuId;
    }

    public String getBdCode() {
        return bdCode;
    }

    public void setBdCode(String bdCode) {
        this.bdCode = bdCode;
    }

    public String getChartIds() {
        return chartIds;
    }

    public void setChartIds(String chartIds) {
        this.chartIds = chartIds;
    }

    public boolean isDemo() {
        return demo;
    }

    public void setDemo(boolean demo) {
        this.demo = demo;
    }

    public String getFilters() {
        return filters;
    }

    public void setFilters(String filters) {
        this.filters = filters;
    }

    public Date getReDate() {
        return reDate;
    }

    public void setReDate(Date reDate) {
        this.reDate = reDate;
    }

    public String getRelationColumns() {
        return relationColumns;
    }

    public void setRelationColumns(String relationColumns) {
        this.relationColumns = relationColumns;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public String getThumbnail() {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail) {
        this.thumbnail = thumbnail;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getBdName() {
        return bdName;
    }

    public void setBdName(String bdName) {
        this.bdName = bdName;
    }

    public String getBdNote() {
        return bdNote;
    }

    public void setBdNote(String bdNote) {
        this.bdNote = bdNote;
    }

    public String getBdConfiguration() {
        return bdConfiguration;
    }

    public void setBdConfiguration(String bdConfiguration) {
        this.bdConfiguration = bdConfiguration;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public String toString() {
        return "Dashboards{" +
                "id=" + id +
                ", bdName='" + bdName + '\'' +
                ", bdNote='" + bdNote + '\'' +
                ", bdConfiguration='" + bdConfiguration + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createDate='" + createDate + '\'' +
                ", updateDate='" + updateDate + '\'' +
                '}';
    }
}
